/************************************
 * JitterBug                        *
 *                                  *
 * Distributable under GPL license. *
 * See terms of license at gnu.org. *
 ************************************/
package org.jitterbug.ejb.session;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.SessionContext;


/**
 * @author JitterBug Development Team
 * @version $Revision: 1.1 $
 */
public abstract class SessionBaseEJB {
    protected SessionContext _context;

    public void setSessionContext(SessionContext context) {
        _context = context;
    }

    /**
     * @see javax.ejb.SessionBean#ejbActivate()
     */
    public void ejbActivate() throws EJBException, RemoteException {
    }

    /**
     * @see javax.ejb.SessionBean#ejbPassivate()
     */
    public void ejbPassivate() throws EJBException, RemoteException {
    }

    /**
     * @see javax.ejb.SessionBean#ejbRemove()
     */
    public void ejbRemove() throws EJBException, RemoteException {
    }
}