/*
 * Created on 2004. 7. 5.
 */
package net.digitie.ejb.session.board;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.transaction.UserTransaction;

import net.digitie.ejb.session.SessionBaseBean;
import net.digitie.hibernate.board.BoardPost;
import net.sf.hibernate.Session;
import net.sf.hibernate.SessionFactory;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * @author digitie
 * @ejb.bean 
 * 		description = "value" 
 * 		display-name = "BoardManagerBean" 
 * 		jndi-name = "Hawky/BoardManager" 
 * 		local-jndi-name = "Hawky/BoardManagerLocal"
 *      name = "BoardManager" 
 * 		type = "Stateless" 
 * 		view-type = "both"
 *      transaction-type = "Supports"
 * @ejb.transaction 
 * 		type = "Required"
 */
public class BoardManagerBean extends SessionBaseBean implements SessionBean {
    protected static Log log = LogFactory.getLog(BoardManagerBean.class);

    private SessionFactory sessionFactory = null;

    private Session session = null;

    /**
     * @ejb.create-method
     */
    public void ejbCreate() throws CreateException {
        if (log.isDebugEnabled()) {
            log.debug("Creating new BoardManager instance...");
        }
    }

    /**
     * @see net.digitie.ejb.session.SessionBaseBean#setSessionContext(javax.ejb.SessionContext)
     */
    public void setSessionContext(SessionContext context) {
        super.setSessionContext(context);
        try {
            if (log.isDebugEnabled()) {
                log.debug("BoardManagerBean is finding HibernateFactory...");
            }
            sessionFactory = (SessionFactory) new InitialContext()
                    .lookup("java:/HibernateFactory");
        } catch (NamingException ne) {
            throw new EJBException(ne);
        }
    }

    /**
     * @throws Exception
     * @ejb:interface-method 
     * 		view-type="both"
     */
    public BoardPost findByPrimaryKey(Integer id) throws Exception {
        BoardPost post = null;
        UserTransaction tx = null;
        try {
            session = sessionFactory.openSession();
            post = (BoardPost) session.load(BoardPost.class, id);
            session.flush();
        } catch (Exception e) {
            tx.setRollbackOnly();
            throw e;
        } finally {
            if (session != null) {
                try {
                    session.close();
                } catch (Exception e) {
                }
            }
        }
        return post;
    }
}