/*
 * Created on 2004. 7. 6.
 */
package net.digitie.ejb.session.member;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import net.digitie.ejb.session.SessionBaseBean;
import net.digitie.ejb.session.board.BoardManagerBean;
import net.sf.hibernate.SessionFactory;

/**
 * @author digitie
 * @ejb.bean 
 * 		description = "value" 
 * 		display-name = "BoardManagerBean" 
 * 		jndi-name = "Hawky/BoardManager" 
 * 		local-jndi-name = "Hawky/BoardManagerLocal"
 *      name = "BoardManager" 
 * 		type = "Stateless" 
 * 		view-type = "both"
 * 		transaction-type = "Supports"
 * @ejb.transaction 
 * 		type = "Required"
 */
public class MemberManagerBean extends SessionBaseBean implements SessionBean {
    protected static Log log = LogFactory.getLog(BoardManagerBean.class);
    private SessionFactory sessionFactory = null;
    /**
     * @ejb.create-method
     */
    public void ejbCreate() throws CreateException {
        if (log.isDebugEnabled()) {
            log.debug("Creating new BoardManager instance...");
        }
    }
    
    /**
     * @see net.digitie.ejb.session.SessionBaseBean#setSessionContext(javax.ejb.SessionContext)
     */
    public void setSessionContext(SessionContext context) {
        super.setSessionContext(context);
        try {
            if (log.isDebugEnabled()) {
                log.debug("MemberManagerBean is finding HibernateFactory...");
            }
            sessionFactory = (SessionFactory) new InitialContext()
                    .lookup("java:/HibernateFactory");
        } catch (NamingException ne) {
            throw new EJBException(ne);
        }
    }
}
